Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625924 - python 2.7 xmlrpclib version not bumped
python 2.7 xmlrpclib version not bumped
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 16:08 EDT by Rob Crittenden
Modified: 2011-09-06 09:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-02 12:07:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2010-08-20 16:08:05 EDT
Description of problem:

xmlrpclib.__version__ reports 1.0.1 from Python 2.7 in F14 and Python 2.6 in F12.

I discovered this while trying to find a way to identify the version of xmlrpclib. The 2.7 xmlrpclib is not completely backward compatible with that in 2.6

Version-Release number of selected component (if applicable):

python-2.7-7.fc14.x86_64

Steps to Reproduce:

$ rpm -q python
python-2.6.2-8.fc12.x86_64
[rcrit@puma freeipa-ca]$ python
Python 2.6.2 (r262:71600, Jun  4 2010, 18:28:58) 
[GCC 4.4.3 20100127 (Red Hat 4.4.3-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import xmlrpclib
>>> xmlrpclib.__version__
'1.0.1'

$ rpm -q python
python-2.7-7.fc14.x86_64
$ python
Python 2.7 (r27:82500, Jul 26 2010, 18:19:48) 
[GCC 4.5.0 20100716 (Red Hat 4.5.0-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import xmlrpclib
>>> xmlrpclib.__version__
'1.0.1'
Comment 1 Toshio Ernie Kuratomi 2011-09-02 12:07:14 EDT
This would unfortunately be an upstream issue.  You can open a bug on http://bugs.python.org/ if you'd like to pursue it further.

A workaround that I've had to use in other code is:

import sys
if sys.version_info[:2] >= (2, 7):
    # Set up things for python-2.7 stdlib
    pass
else:
    # Set up things for python<2.7 stdlib


This feels wrong as you aren't checking the xmlrpclib version directly but it's not too bad as the stdlib version should cover the individual modules that it ships.
Comment 2 Rob Crittenden 2011-09-06 09:42:21 EDT
Opened upstream issue: http://bugs.python.org/issue12912

Note You need to log in before you can comment on or make changes to this bug.